# Enable XS implementation
%bcond_without perl_PerlX_Maybe_enables_xs

Name:           perl-PerlX-Maybe
Version:        1.201
Release:        11%{?dist}
Summary:        Return a pair only if they are both defined
# LICENSE:      GPL+ or Artistic
# CONTRIBUTING: CC-BY-SA
# COPYRIGHT:    Public Domain
License:        (GPL+ or Artistic) and CC-BY-SA and Public Domain
URL:            https://metacpan.org/release/PerlX-Maybe
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TOBYINK/PerlX-Maybe-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Exporter::Tiny)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(warnings)
%if %{with perl_PerlX_Maybe_enables_xs}
# Optional run-time:
BuildRequires:  perl(PerlX::Maybe::XS) >= 0.003
%endif
BuildRequires:  perl(Test::More) >= 0.61
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Exporter)
Requires:       perl(Exporter::Tiny)
%if %{with perl_PerlX_Maybe_enables_xs}
Recommends:     perl(PerlX::Maybe::XS) >= 0.003
%endif

%description
This Perl module provides a syntax sugar for passing a pair of variables only
if both of them match some criteria (to be defined usually).

%prep
%setup -q -n PerlX-Maybe-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{with perl_PerlX_Maybe_enables_xs}
# This actually tests PerlX::Maybe::XS implementation
unset PERLX_MAYBE_IMPLEMENTATION
make test
%endif
# So we run all tests again enforing pure Perl implementation
PERLX_MAYBE_IMPLEMENTATION=0 make test

%files
%license LICENSE
%doc Changes COPYRIGHT CREDITS README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.201-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.201-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri May 21 2021 Jitka Plesnikova <jplesnik@redhat.com> - 1.201-9
- Perl 5.34 rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.201-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.201-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.201-6
- Perl 5.32 rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.201-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.201-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 1.201-3
- Perl 5.30 rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.201-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 26 2018 Petr Pisar <ppisar@redhat.com> - 1.201-1
- 1.201 bump

* Thu Oct 11 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.200-1
- 1.200 bump

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.001-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.001-2
- Perl 5.28 rebuild

* Mon Mar 12 2018 Petr Pisar <ppisar@redhat.com> 1.001-1
- Specfile autogenerated by cpanspec 1.78.
